<template>
    <Form
        v-if="item"
        title="Edit"
        :edit-item="item"
        @submit="save"
    /> 
</template>

<script>
import Form from '../../components/discount-links/Form.vue'
import api from '../../services/discount.service.js'

export default {
    components: {
      Form  
    },
    data() {
      return {
        item: null
      }
    },
    created() {
      const params = this.$route.params.item
      if(params) {
        this.item = params
      } else this.$router.push({name: 'discount-links'})
    },
    methods: {
      async save(e) {
        try {
          await api.updateItem(e)
          this.$notify({
            type: 'success',
            title: 'Discount Link Edited'
          });
          // this.$router.push({name: 'discount-links'})
        } catch(err) {
          console.log(error)
        }
      },
    }
    
}
</script>
